# QWebElement Class Reference

### [com.trolltech.qt.webkit package]

### Constructor

- void QWebElement()
- void QWebElement(QWebElement arg__1)

### Constructor Properties

- prototype: The QWebElement prototype object
- InlineStyle
- CascadedStyle
- ComputedStyle
- StyleResolveStrategy( value )

### Prototype Object Properties

- void addClass(String name)
- void appendInside(String markup)
- void appendOutside(String markup)
- String attribute(String name, String defaultValue)
- String attributeNS(String namespaceUri, String name, String defaultValue)
- List attributeNames(String namespaceUri)
- List classes()
- QWebElement clone()
- QWebElement document()
- void encloseContentsWith(String markup)
- void encloseWith(String markup)
- Object evaluateJavaScript(String scriptSource)
- QWebElement findFirst(String selectorQuery)
- QWebElement firstChild()
- QRect geometry()
- bool hasAttribute(String name)
- bool hasAttributeNS(String namespaceUri, String name)
- bool hasAttributes()
- bool hasClass(String name)
- bool hasFocus()
- bool isNull()
- QWebElement lastChild()
- String localName()
- String namespaceUri()
- QWebElement nextSibling()
- QWebElement operator_assign(QWebElement arg__1)
- bool operator_equal(QWebElement o)
- QWebElement parent()
- String prefix()
- void prependInside(String markup)
- void prependOutside(String markup)
- QWebElement previousSibling()
- void removeAllChildren()
- void removeAttribute(String name)
- void removeAttributeNS(String namespaceUri, String name)
- void removeClass(String name)
- void removeFromDocument()
- void render(QPainter painter)
- void replace(String markup)
- void setAttribute(String name, String value)
- void setAttributeNS(String namespaceUri, String name, String value)
- void setFocus()
- void setInnerXml(String markup)
- void setOuterXml(String markup)
- void setPlainText(String text)
- void setStyleProperty(String name, String value)
- String styleProperty(String name, StyleResolveStrategy strategy)
- String tagName()
- QWebElement takeFromDocument()
- String toInnerXml()
- String toOuterXml()
- String toPlainText()
- void toggleClass(String name)
- QWebFrame webFrame()

### Instance Properties

QWebElement objects have no special properties beyond those inherited from the QWebElement prototype object.